<template>
  <v-card class="step">
    <v-container class="qrs d-flex justify-center">
      <!-------------------------------positive---------------------------------->
      <v-container class=" d-flex flex-column">
        <v-container class=" d-flex">
          <v-icon class="axis">$PositiveQRS</v-icon>
          <v-container class=" d-flex flex-column justify-space-around">

            <div>R</div>
            <div>S</div>
          </v-container>
        </v-container>
        <div class="qrs d-flex flex-row justify-space-around text-h4">Positive QRS complex: R > S</div>
      </v-container>
      <!-------------------------------equal---------------------------------->
      <v-container class=" d-flex flex-column">
        <v-container class=" d-flex ">
          <v-icon class="axis">$IsoelectricQRS</v-icon>
          <v-container class=" d-flex flex-column justify-space-around">
            <div>R</div>
            <div>S</div>
          </v-container>
        </v-container>
        <div class=" d-flex flex-row justify-space-around text-h4">Isoelectric QRS complex: R = S</div>
      </v-container>
      <!-------------------------------negative---------------------------------->
      <v-container class=" d-flex flex-column">
        <v-container class=" d-flex">
          <v-icon class="axis">$NegativeQRS</v-icon>
          <v-container class=" d-flex flex-column justify-space-around">
            <div>R</div>
            <div>S</div>
          </v-container>
        </v-container>
        <div class=" d-flex flex-row justify-space-around text-h4">Negative QRS complex: R &lt; S</div>
      </v-container>
    </v-container>
    <!-------------------------------Axis Selects---------------------------------->
    <v-row class="mt-4 mx-4">
      <v-col cols="6">
        <v-row align="center">
          <v-col cols="3" class="text-h4">Lead I</v-col>
          <v-col cols="4">
            <v-select
              v-model="axisLeadI"
              :items="axisItems"
              item-text="text"
              item-value="value"
              label="QRS Type"
              solo
              outlined
            ></v-select>
          </v-col>
        </v-row>
        <v-row align="center">
          <v-col cols="3" class="text-h4">Lead aVF</v-col>
          <v-col cols="4">
            <v-select
              v-model="axisLeadaVf"
              :items="axisItems"
              item-text="text"
              item-value="value"
              label="QRS Type"
              solo
              outlined
            ></v-select>
          </v-col>
        </v-row>
      </v-col>
      <!-------------------------------Axis Interpretation---------------------------------->
      <v-col cols="6" align-self="center">
        <v-alert class="d-flex align-center justify-center text-h4" border="left" color="pink" dark>
          {{ axisPosition }}
        </v-alert>
      </v-col>
    </v-row>
  </v-card>
</template>

<script>
import { mapState } from 'vuex';
import { QRS_ISOELECTRIC, QRS_NEGATIVE, QRS_POSITIVE } from '@/plugins/constants';

export default {
  name: 'Axis',
  data() {
    return {
      color: 'white',
      axisItems: [
        {
          text: 'Positive QRS',
          value: QRS_POSITIVE,
        },
        {
          text: 'Equiphasic QRS',
          value: QRS_ISOELECTRIC,
        },
        {
          text: 'Negative QRS',
          value: QRS_NEGATIVE,
        },
      ],
    };
  },
  computed: {
    ...mapState([
      'axisLeadI',
      'axisLeadaVf',
      'axisPosition',
    ]),
    axisLeadI: {
      get() {
        return this.$store.state.axisLeadI;
      },
      set(value) {
        this.$store.commit('setAxisLeadI', value);
        this.$store.dispatch('setCalculatedAxisPosition');
        this.$store.dispatch('setGlobalConclusions');
      },
    },
    axisLeadaVf: {
      get() {
        return this.$store.state.axisLeadaVf;
      },
      set(value) {
        this.$store.commit('setAxisLeadaVf', value);
        this.$store.dispatch('setCalculatedAxisPosition');
        this.$store.dispatch('setGlobalConclusions');
      },
    },
  },
};
</script>

<style scoped>
.axis {
  width: 80%;
  height: 400px;
}
</style>
